org.apache.commons.math.analysis

## Interface UnivariateMatrixFunction

- All Known Subinterfaces:
    DifferentiableUnivariateMatrixFunction

      public interface UnivariateMatrixFunction

  An interface representing a univariate matrix function.
  Since:
    2.0
  Version:
    $Revision: 1073498 $ $Date: 2011-02-22 21:57:26 +0100 (mar. 22 févr. 2011) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[][]` | `value(double x)` Compute the value for the function.

- - ### Method Detail

    - #### value

          double[][] value(double x)
                           throws FunctionEvaluationException

      Compute the value for the function.
      Parameters:
        `x` - the point for which the function value should be computed
      Returns:
        the value
      Throws:
        `FunctionEvaluationException` - if the function evaluation fails

Copyright (c) 2003-2013 Apache Software Foundation